use bevy::prelude::*;
use bevy_rapier2d::prelude::*;
use player::player_plugin;
use scene::{scene_plugin, PlayerSpawnEvent};

use crate::AppState;

mod player;
mod scene;
mod set;

pub const WORLD_DEPTH: f32 = 0.5;

pub fn game_plugin(app: &mut App) {
    (app)
        .add_event::<PlayerSpawnEvent>()
        .add_plugins((player_plugin, scene_plugin));
}
